using RealEstateTransactions.Entities;

namespace RealEstateTransactions.Repositories
{
    public interface IApartmentRepository
    {
        IEnumerable<Apartment> ReadApartments();

        Apartment ReadApartment(int id);

        void CreateApartment(Apartment apartment);

        void UpdateApartment(Apartment apartment);

        void DeleteApartment(int id);
    }
}